Subject: Re: mmotm 2020-07-27-18-18 uploaded (mm/page_alloc.c)

From: Randy Dunlap <[email-masked]>
Date: Wed, 29 Jul 2020 10:29:53 -0700

On 7/29/20 9:14 AM, David Hildenbrand wrote:
> On 29.07.20 16:38, David Hildenbrand wrote:
>> On 29.07.20 16:18, Michael S. Tsirkin wrote:
>>> On Tue, Jul 28, 2020 at 03:31:43PM -0700, Andrew Morton wrote:
>>>> On Wed, 29 Jul 2020 08:20:53 +1000 Stephen Rothwell <[email-masked]> wrote:
>>>>
>>>>> Hi Andrew,
>>>>>
>>>>> On Tue, 28 Jul 2020 14:55:53 -0700 Andrew Morton <[email-masked]> wrote:
>>>>>> config CONTIG_ALLOC
>>>>>>         def_bool (MEMORY_ISOLATION && COMPACTION) || CMA
>>>>>>
>>>>>> says this is an improper combination.  And `make oldconfig' fixes it up.
>>>>>>
>>>>>> What's happening here?
>>>>>
>>>>> CONFIG_VIRTIO_MEM selects CONFIG_CONTIG_ALLOC ...
>>>>
>>>> Argh, select strikes again.
>>>>
>>>> So I guess VIRTIO_MEM should also select COMPACTION?
>>>
>>> +Cc the maintainer.
>>>
>>
>> We had select CONFIG_CONTIG_ALLOC before and that seemed to be wrong. I
>> was told select might be the wrong approach.
>>
>> We want memory isolation and contig_alloc with virtio-mem (which depends
>> on memory hot(un)plug). What would be the right way to achieve this?
>>
> 
> Okay, I think I am confused. I thought we had that already fixed. @mst
> what happened to
> 
> https://lkml.kernel.org/r/[email-masked]
> 
> That patch is almost a month old, can you pick it, I already acked it.

That patch works for me.

Acked-by: Randy Dunlap <[email-masked]> # build-tested

thanks.
-- 
~Randy